ForwarderConfiguration (CMDB Model API)
Keywords: com.collation.platform.model.casm.monitor.forwarding.ForwarderConfiguration interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.casm.monitor.forwarding
Interface ForwarderConfiguration

All Superinterfaces:
  Configuration, ModelObject, MonitorConfiguration, java.io.Serializable

All Known Subinterfaces:
  CommandForwarderConfiguration, SnmpTrapForwarderConfiguration

    public interface ForwarderConfiguration

extends MonitorConfiguration

A forwarder configuration object

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.Configuration
`OPER_ACCEPTED, OPER_NEW, OPER_REJECTED`

Method Summary
`int` | `getCategory()` This attribute allows the forwarder to filter on event Category.
`java.lang.String` | `getComponentType()` This attribute allows the forwarder to filter on a particular component type.
`int` | `getSeverityThreshold()` This attribute allows the forwarder to forward only StateChangeEvents that have a severity greater or equals than a specific threshold
`boolean` | `hasCategory()`
`boolean` | `hasComponentType()`
`boolean` | `hasSeverityThreshold()`
`void` | `setCategory(int category)`
`void` | `setComponentType(java.lang.String componentType)`
`void` | `setSeverityThreshold(int threshold)`

Methods inherited from interface com.collation.platform.model.Configuration
`getEnabled, getFamilyName, getMssGuid, getName, getOperationalStatus, getRejectionReason, hasEnabled, hasFamilyName, hasMssGuid, hasName, hasOperationalStatus, hasRejectionReason, setEnabled, setFamilyName, setMssGuid, setName, setOperationalStatus, setRejectionReason`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getComponentType

    java.lang.String getComponentType()
                                      throws AttributeNotSetException

  This attribute allows the forwarder to filter on a particular component type. The forwarder will only forward StateChangeEvents that apply to this particular component type.

  Accepted values are:

  - all
  - IpInterface
  - IpNetwork
  - ComputerSystem
  - AppServer
  - Service
  - AppServerCluster
  - Application
  - BusinessService
  return The component type. The default value is "all", which will forward all events.

  Throws:
    `AttributeNotSetException`

### setComponentType

    void setComponentType(java.lang.String componentType)

### hasComponentType

    boolean hasComponentType()

### getSeverityThreshold

    int getSeverityThreshold()
                             throws AttributeNotSetException

  This attribute allows the forwarder to forward only StateChangeEvents that have a severity greater or equals than a specific threshold

  Returns:
    The severity threshold. The default value is Severity.NORMAL, which will forward all events.
  Throws:
    `AttributeNotSetException`
  See Also:
    `com.collation.monitor.agent.Severity`

### setSeverityThreshold

    void setSeverityThreshold(int threshold)

### hasSeverityThreshold

    boolean hasSeverityThreshold()

### getCategory

    int getCategory()
                    throws AttributeNotSetException

  This attribute allows the forwarder to filter on event Category.

  Returns:
    The category. The default values is Category.FAULT.
  Throws:
    `AttributeNotSetException`
  See Also:
    `com.collation.monitor.agent.Category`

### setCategory

    void setCategory(int category)

### hasCategory

    boolean hasCategory()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD